/************************************************************************
* "Epsilon", "EEL" and "Lugaru" are trademarks of Lugaru Software, Ltd. *
*									*
*  Copyright (C) 1985, 1989 Lugaru Software Ltd.  All rights reserved.	*
*									*
* Limited permission is hereby granted to reproduce and modify this	*
* copyrighted material provided that the resulting code is used only in	*
* conjunction with Lugaru products and that this notice is retained in	*
* any such reproduction or modification.				*
************************************************************************/

#include "eel.h"

#ifdef OS2
char _oldenv[80];
#endif
char *get_cmdline();

command start_process()
{
	int result;
	char cmd[80], *cmdline;

	if (no_running())
		return;
	cmdline = get_cmdline("Start Process With Command", cmd);
	zap("process");
#ifdef OS2
	if (getenv("KEYS"))
		sprintf(_oldenv, "KEYS=%s", getenv("KEYS"));
	else
		strcpy(_oldenv, "KEYS=");
	putenv("KEYS=OFF");
#endif
	result = concur_shell("", cmdline);
#ifdef OS2
	putenv(_oldenv);
#endif
	iter = 1;
	if (result)
		error("Couldn't exec: error %d", errno);
	to_buffer("process");
	process_mode();
}
